Retrieves a form.
- Mock serverhttps://docs.bndry.net/_mock/apis/openapi/v1alpha/forms/{form}
- BNDRY APIhttps://api.bndry.app/v1alpha/forms/{form}
curl -i -X GET \
'https://docs.bndry.net/_mock/apis/openapi/v1alpha/forms/{form}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
(IDENTIFIER) The resource name of the form. Format: forms/{form} Format: workspaces/{workspace}/forms/{form} string.resource_name = ["forms/", "workspaces//forms/*"] // value must be a valid resource name
(IMMUTABLE) Immutable. The resource name of the form definition used to create this form. Required when creating a form. Format: formDefinitions/{form_definition} string.resource_name = ["formDefinitions/*"] // value must be a valid resource name
Output only. The schema of the form, derived from the form definition.
Required. The responses to the form questions, stored as a JSON object.
Output only. The timestamp when the form was created.
Output only. The timestamp when the form was most recently updated.
(OPTIONAL) Optional. The etag of the resource. Used for optimistic concurrency control as per AIP-154. string.etag = true // etag must be at most 256 characters
(OPTIONAL) Optional. A mutable, user-settable field for providing a human-readable name for the form, to be used in user interfaces. Must be <= 63 characters. string.display_name = true // value must be at most 63 characters
{ "name": "string", "formDefinition": "formDefinitions/kyc-beneficial-ownership", "formkitSchema": { "nodes": { … } }, "response": { "property1": null, "property2": null }, "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "etag": "string", "displayName": "KYC Identity Verification - Jane Smith", "workspaces": [ "workspaces/due-diligence-ws-123" ], "state": "STATE_UNSPECIFIED" }